Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Class TypeCodeStreamableValue

    java.lang.Object
      |
      +--org.openorb.io.TypeCodeStreamableValue

All Implemented Interfaces:
  IDLEntity, java.io.Serializable, Streamable, StreamableValue, ValueBase

public class TypeCodeStreamableValue
extends java.lang.Object
implements StreamableValue

This class masquarades as the valuetype passed to it in a typecode. It can be used in any situation where the original valuetype was used, providing the runtime type is a general java.io.Serializable, so it can be inserted and extracted from anys and marshaled using DII.

Version:
  $Revision: 1.9 $ $Date: 2002/07/14 19:12:35 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`TypeCodeStreamableValue(ORB orb, TypeCode tc)`

Method Summary
`void` | `_read(InputStream is)`
`java.lang.String[]` | `_truncatable_ids()`
`TypeCode` | `_type()`
`void` | `_write(OutputStream os)`
`InputStream` | `create_input_stream()`
`OutputStream` | `create_output_stream()`
`TypeCode` | `getTypeCode()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCodeStreamableValue

    public TypeCodeStreamableValue(ORB orb,
                                   TypeCode tc)
                            throws BadKind

  Throws:
    `BadKind` - The specified typecode is not a valuetype.

Method Detail

### getTypeCode

    public TypeCode getTypeCode()

### create_output_stream

    public OutputStream create_output_stream()

### create_input_stream

    public InputStream create_input_stream()

### _read

    public void _read(InputStream is)

  Specified by:
    `_read` in interface `Streamable`

### _write

    public void _write(OutputStream os)

  Specified by:
    `_write` in interface `Streamable`

### _type

    public TypeCode _type()

  Specified by:
    `_type` in interface `Streamable`

### _truncatable_ids

    public java.lang.String[] _truncatable_ids()

  Specified by:
    `_truncatable_ids` in interface `ValueBase`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD